Installing DSE OpsCenter 6.7 with a tarball on any Linux distribution

Install DSE OpsCenter on any Linux Distribution or Mac OS X using the OpsCenter binary tarball.

Install DSE OpsCenter on any Linux Distribution or Mac OS X using the OpsCenter binary tarball.
Note: Mac OS X is supported for development and testing purposes only.

For a complete list of supported platforms, see OpsCenter Supported Platforms.

Prerequisites

Minimum hardware requirements for the machine on which OpsCenter runs:
  • 2 CPU cores
  • 2 GB of RAM available to OpsCenter

Permission and software requirements:

  • Latest build of a TCK (Technology Compatibility Kit) Certified OpenJDK version 8 or Oracle Java SE Runtime Environment 8 (JRE or JDK). Earlier or later versions are not supported. See installing the OpenJDK or Oracle JDK.
    Attention: Although Oracle JRE/JDK 8 is supported, DataStax does more extensive testing on OpenJDK 8. This change is due to the end of public updates for Oracle JRE/JDK 8.

    Use OpsCenter Lifecycle Manager to automatically manage Java and JCE installs for DSE clusters.

  • DataStax recommends using a recent version of one of the major web browsers. OpsCenter does not support Internet Explorer or Microsoft Edge.

Procedure

Important: End User License Agreement (EULA). By downloading this DataStax product, you agree to the terms of the EULA.

Installing the latest version (6.7.0)

To download a specific version of OpsCenter 6.7.x, go to 2.

  1. You can either download the tarball and then extract the files, or use curl.
    • Download and extract the latest version tarball (6.7.0):
      1. Download the tarball from Download DataStax OpsCenter.
      2. Extract the files:
        tar -xzvf opscenter-6.7.0.tar.gz

        The files are extracted into the opscenter-6.7.0 directory.

    • Use curl to install the latest version (6.7.0):
      1. In a terminal window, download and extract the tarball using curl:
        curl -L https://downloads.datastax.com/enterprise/opscenter.tar.gz | tar xz

      The files are downloaded and extracted into the opscenter-6.7.0 directory.

Installing specific 6.7.x versions

  1. When installing from the binary tarball, you can either download the tarball and then extract the files, or use curl.
    • Download and extract specific 6.7.x tarballs into the current directory:
      1. Download the tarball from Download DataStax Enterprise.
      2. Extract the files:
        tar -xzvf opscenter-6.7.version_number.tar.gz
    • Use curl to install specific 6.7.x versions:
      1. Download and extract:
        curl -L https://downloads.datastax.com/enterprise/opscenter-6.7.version_number.tar.gz | tar xz

      The files are downloaded and extracted into the opscenter-6.7.x directory.

  2. Change to the opscenter-version_number directory.
    cd opscenter-version_number
  3. Start OpsCenter from the install location:
    bin/opscenter
    Note: Use bin/opscenter -f to start OpsCenter in the foreground.
  4. Connect to OpsCenter in a web browser using the following URL:
    http://opscenter-host:8888/

What's next

Add an existing cluster or provision a new cluster in Lifecycle Manager.